NSX-T Data Center REST API

Get information about kubeconfig file

To get more information about kubeconfig file like
user, cluster, context, namespace etc.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/napp/deployment/kubeconfig
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/kubeconfig

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
KubeconfigInfo+

Example Response:

{ "bundle_id" : "22000123456", "name": "kubeconfigfile.xyz", "user": "user1", "current_context": "context1", "namespace": "ns1", "cluster": "cluster1", "expiry": "n days", "server": "https://10.161.72.163:6443", "connection_status": True }

Required Permissions:

read

Feature:

policy_napp

Additional Errors: